> For the complete documentation index, see [llms.txt](https://docs.cloud.hoverfly.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cloud.hoverfly.io/create-simulations/using-templating-in-simulations/render-synthetic-data.md).

# Render synthetic data

#### FAKER:

Hoverfly supports over 200 Faker functions. You can see the full list [here](/create-simulations/using-templating-in-simulations/faker-functions.md)

Hoverfly also supports a number of other simple random data generator functions:

<table data-header-hidden><thead><tr><th width="245"></th><th width="343"></th><th></th></tr></thead><tbody><tr><td>A random string</td><td><code>{{ randomString }}</code></td><td>hGfclKjnmwcCds</td></tr><tr><td>A random string with a specified length</td><td><code>{{ randomStringLength 2 }}</code></td><td>KC</td></tr><tr><td>A random boolean</td><td><code>{{ randomBoolean }}</code></td><td>true</td></tr><tr><td>A random integer</td><td><code>{{ randomInteger }}</code></td><td>42</td></tr><tr><td>A random integer within a range</td><td><code>{{ randomIntegerRange 1 10 }}</code></td><td>7</td></tr><tr><td>A random float</td><td><code>{{ randomFloat }}</code></td><td>42</td></tr><tr><td>A random float within a range</td><td><code>{{ randomFloatRange 1.0 10.0 }}</code></td><td>7.4563213423</td></tr><tr><td>A random email address</td><td><code>{{ randomEmail }}</code></td><td>BenClark@photolist.com</td></tr><tr><td>A random IPv4 address</td><td><code>{{ randomIPv4 }}</code></td><td>224.36.27.8</td></tr><tr><td>A random IPv6 address</td><td><code>{{ randomIPv6 }}</code></td><td>41d7:daa0:6e97:6fce:411e:681:f86f:e557</td></tr><tr><td>A random UUID</td><td><code>{{ randomUuid }}</code></td><td></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cloud.hoverfly.io/create-simulations/using-templating-in-simulations/render-synthetic-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
